/* ---------------------------------------------------------- */
/* @(#) KRH.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* IBM Tivoli Advanced Reporting and Management for DFSMShsm Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2013 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* HRECOVER */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRH                000000000000000000", 
  "HRECOVER [&DSNAME] [&WAIT] [&FROMVOLUME] [&GENERATION] [&DATE]
 [&VERSION] [&NEWNAME] [&REPLACE] [&TOVOLUME] [&UNITNAME]",
  "Recover a data set from a backup version or restore a data set froma
 dump copy.",
  " ", 
  "KRH_HRECOVER", 
  "HRECOVER", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HRECALL */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRH                000000000000000000", 
  "HRECALL [&DSNAME] [&WAIT] [&TOVOLUME] [&UNITNAME]",
  "Recall a migrated data set.",
  " ", 
  "KRH_HRECALL", 
  "HRECALL", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HMIGRATE */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRH                000000000000000000", 
  "HMIGRATE [&DSNAME] [&WAIT] [&MIGLEVEL]",
  "Migrate one or more data sets to a migration volume",
  " ", 
  "KRH_HMIGRATE", 
  "HMIGRATE", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HDELETE */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRH                000000000000000000", 
  "HDELETE [&DSNAME] [&WAIT] [&PURGE]",
  "Delete a migrated data set from migration volumes.  Data set is
 deleted without recalling it to primary volume.  Any backup versions
 and information in the BCDS are maintained.",
  " ", 
  "KRH_HDELETE", 
  "HDELETE", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HBDELETE */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRH                000000000000000000", 
  "HBDELETE [&DSNAME] [&WAIT] [&FROMVOLUME] [&VERSION]",
  "Delete backup versions of a specific data set or specific backup
 versions by version number.",
  " ", 
  "KRH_HBDELETE", 
  "HBDELETE", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HBACKDS */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRH                000000000000000000", 
  "HBACKDS [&DSNAME] [&WAIT] [&TARGET] [&VOLUME] [&UNITNAME]",
  "Used to create a backup version of a specific data set.",
  " ", 
  "KRH_HBACKDS", 
  "HBACKDS", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HCANCEL */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRH                000000000000000000", 
  "HCANCEL [&DSNAME] [&REQNUM] [&USERID] [&WAIT] [&HOSTID]",
  "Cancel queued DFSMShsm data movement requests.  Unless you are a
 DFSMShsm authorized user, you may only cancel requests submitted by
 your own userid",
  " ", 
  "KRH_HCANCEL", 
  "HCANCEL", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 5 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Mig_Vol_Available",
"Krh:KRH1013",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Mig_Vol_Available" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 6 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Duplicate_DSN_In_MCDS",
"Krh:KRH1014",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Duplicate_DSN_In_MCDS" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 12 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Mig_Copy_Already_Exist",
"Krh:KRH1015",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Mig_Copy_Already_Exist" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 19 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Data_Set_In_Use",
"Krh:KRH1016",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Data_Set_In_Use" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 37 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Space_In_Mig_Vol",
"Krh:KRH1017",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Space_In_Mig_Vol" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 66 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_L0_Vol_Not_Available",
"Krh:KRH1018",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_L0_Vol_Not_Available" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Migration_Held",
"Krh:KRH1019",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Migration_Held" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'MIGRATE' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Unsupported_Data_Set",
"Krh:KRH1020",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Unsupported_Data_Set" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 4 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Cant_Mv_Bkup_Miss_Vol",
"Krh:KRH1021",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Cant_Mv_Bkup_Miss_Vol" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 5 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Vol_For_Bkup",
"Krh:KRH1022",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Vol_For_Bkup" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 19 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Data_Set_In_Use",
"Krh:KRH1023",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Data_Set_In_Use" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 20 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_DS_Not_Elig_For_Bkup",
"Krh:KRH1024",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_DS_Not_Elig_For_Bkup" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 31 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Ext_Record_Missing",
"Krh:KRH1025",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Ext_Record_Missing" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 37 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Space_On_Bkup_Vol",
"Krh:KRH1026",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Space_On_Bkup_Vol" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 40 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Bkup_Funct_Disabled",
"Krh:KRH1027",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Bkup_Funct_Disabled" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 58 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Bkup_Failed_For_DSN",
"Krh:KRH1028",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Bkup_Failed_For_DSN" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Backup_Held",
"Krh:KRH1029",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Backup_Held" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 80 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_BCDS_Record_Not_Found",
"Krh:KRH1030",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_BCDS_Record_Not_Found" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND  (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 84 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Fail_In_Bkvol_Dump",
"Krh:KRH1031",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Fail_In_Bkvol_Dump" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_RETURN_CODE_SUMMARY.ACTION *EQ 1,'BACK-UP' ) *AND (
 *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Unsupported_Data_Set",
"Krh:KRH1020",
"NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Unsupported_Data_Set" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 1 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Error_Editing_CDS",
"Krh:KRH1032",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Error_Editing_CDS" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 3 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Mig_Vol_Not_Avail",
"Krh:KRH1033",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Mig_Vol_Not_Avail" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 4 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Pri_Vol_Avail",
"Krh:KRH1034",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Pri_Vol_Avail" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 21 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Request_Vol_Not_Avail",
"Krh:KRH1035",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Request_Vol_Not_Avail" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 24 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Insuff_Sp_On_Trg_Vol",
"Krh:KRH1036",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Insuff_Sp_On_Trg_Vol" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 50 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Unit_Avail",
"Krh:KRH1037",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Unit_Avail" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 57 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Cant_Recover_w_NewName",
"Krh:KRH1038",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Cant_Recover_w_NewName" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 58 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recover_Failed",
"Krh:KRH1039",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Recover_Failed" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Delete_Held",
"Krh:KRH1040",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Recall_Delete_Held" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 88 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Restore_Failed",
"Krh:KRH1041",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Restore_Failed" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Recover_Error",
"Krh:KRH1020",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Recall_Recover_Error" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 4 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Pri_Vol_Avail",
"Krh:KRH1034",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Pri_Vol_Avail" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 50 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Uni_Avail",
"Krh:KRH1037",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_No_Uni_Avail" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 58 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recover_Failed",
"Krh:KRH1039",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Recover_Failed" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 59 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Existing_DS_Delete_Err",
"Krh:KRH1042",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Existing_DS_Delete_Err" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Delete_Held",
"Krh:KRH1043",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Recall_Delete_Held" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRH                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1130108000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *STR KRH_LOG_RECALL_DETAIL.ACTION *EQ 1,'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Recovery_Err",
"Krh:KRH1044",
"NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRH" ,
  "KRH_Recall_Recovery_Err" ,
  "Y" ,
  "1130108000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
